<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PySpottedUnipd: pyspottedunipd.text.cli Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PySpottedUnipd
   &#160;<span id="projectnumber">0.0.2</span>
   </div>
   <div id="projectbrief">Figure out how you can find your sweet half or how to get attention and get liked in one of the most popular @Unipd facebook pages.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="namespaces.html"><span>Namespace&#160;List</span></a></li>
      <li><a href="namespacemembers.html"><span>Namespace&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('namespacepyspottedunipd_1_1text_1_1cli.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">pyspottedunipd.text.cli Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:af3534bcd3c0c03414454f2d74f4fb91f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1text_1_1cli.html#af3534bcd3c0c03414454f2d74f4fb91f">create_args</a> ()</td></tr>
<tr class="separator:af3534bcd3c0c03414454f2d74f4fb91f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84fdc44624dbbeba8df0e39cecdb0cea"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1text_1_1cli.html#a84fdc44624dbbeba8df0e39cecdb0cea">parse_args</a> (parser)</td></tr>
<tr class="separator:a84fdc44624dbbeba8df0e39cecdb0cea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3485b2f8d2119eb72c59aef8d0a0864"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1text_1_1cli.html#aa3485b2f8d2119eb72c59aef8d0a0864">check_args</a> (path_in)</td></tr>
<tr class="separator:aa3485b2f8d2119eb72c59aef8d0a0864"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c02ddc4e9df3619bb465489928c8ada"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1text_1_1cli.html#a6c02ddc4e9df3619bb465489928c8ada">get_words</a> (string, min_length=0, blacklist=[])</td></tr>
<tr class="separator:a6c02ddc4e9df3619bb465489928c8ada"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe221348bdf05b1fa87890755f95017b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1text_1_1cli.html#afe221348bdf05b1fa87890755f95017b">get_words_in_file</a> (path_in)</td></tr>
<tr class="separator:afe221348bdf05b1fa87890755f95017b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24afe22f8aef59c504d5dbfbad61ace1"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1text_1_1cli.html#a24afe22f8aef59c504d5dbfbad61ace1">get_words_count</a> (words)</td></tr>
<tr class="separator:a24afe22f8aef59c504d5dbfbad61ace1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afabc2bcd2cf6873c7ca491f93af53c73"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1text_1_1cli.html#afabc2bcd2cf6873c7ca491f93af53c73">get_top_words</a> (words, n=10)</td></tr>
<tr class="separator:afabc2bcd2cf6873c7ca491f93af53c73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acca7efbea223e97a06e0d8f12b68ed5f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1text_1_1cli.html#acca7efbea223e97a06e0d8f12b68ed5f">get_top_words_in_file</a> (path_in, blacklist_file, n=30)</td></tr>
<tr class="separator:acca7efbea223e97a06e0d8f12b68ed5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8141223c058b14849dfe02f13d104c3a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1text_1_1cli.html#a8141223c058b14849dfe02f13d104c3a">main</a> ()</td></tr>
<tr class="separator:a8141223c058b14849dfe02f13d104c3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a0c5d9fc1baded062989ee03a682b246d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1text_1_1cli.html#a0c5d9fc1baded062989ee03a682b246d">WORDS_BLACKLIST_FIlE</a></td></tr>
<tr class="separator:a0c5d9fc1baded062989ee03a682b246d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="aa3485b2f8d2119eb72c59aef8d0a0864"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.text.cli.check_args </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>path_in</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param path_in: str
    Path to input file
:return: bool
    True iff args are correct
</pre> 
<p>Definition at line <a class="el" href="text_2cli_8py_source.html#l00053">53</a> of file <a class="el" href="text_2cli_8py_source.html">cli.py</a>.</p>

</div>
</div>
<a class="anchor" id="af3534bcd3c0c03414454f2d74f4fb91f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.text.cli.create_args </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:return: ArgumentParser
    Parser that handles cmd arguments.
</pre> 
<p>Definition at line <a class="el" href="text_2cli_8py_source.html#l00028">28</a> of file <a class="el" href="text_2cli_8py_source.html">cli.py</a>.</p>

</div>
</div>
<a class="anchor" id="afabc2bcd2cf6873c7ca491f93af53c73"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.text.cli.get_top_words </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>words</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>n</em> = <code>10</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param words: [] of str
    List of words to analyze
:param n: int
    Top words to get
:return: [] of str
    Top words in list
</pre> 
<p>Definition at line <a class="el" href="text_2cli_8py_source.html#l00108">108</a> of file <a class="el" href="text_2cli_8py_source.html">cli.py</a>.</p>

</div>
</div>
<a class="anchor" id="acca7efbea223e97a06e0d8f12b68ed5f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.text.cli.get_top_words_in_file </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>path_in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>blacklist_file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>n</em> = <code>30</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param path_in: str
    Path to input file
:param blacklist_file:str
    Path to blacklist file
:param n: int
    Top words to get
:return: [] of str
    Top words in file
</pre> 
<p>Definition at line <a class="el" href="text_2cli_8py_source.html#l00122">122</a> of file <a class="el" href="text_2cli_8py_source.html">cli.py</a>.</p>

</div>
</div>
<a class="anchor" id="a6c02ddc4e9df3619bb465489928c8ada"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.text.cli.get_words </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>string</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>min_length</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>blacklist</em> = <code>[]</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param string: str
    String
:param min_length: int
    Minimum length of words to consider
:param blacklist: [] of str
    List of blacklisted words (not to be considered)
:return: [] of str
    List of words in string
</pre> 
<p>Definition at line <a class="el" href="text_2cli_8py_source.html#l00066">66</a> of file <a class="el" href="text_2cli_8py_source.html">cli.py</a>.</p>

</div>
</div>
<a class="anchor" id="a24afe22f8aef59c504d5dbfbad61ace1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.text.cli.get_words_count </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>words</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param words: [] of str
    List of words to analyze
:return: [] of str
    Dictionary &lt;word, quantity&gt; sorted by quantity
</pre> 
<p>Definition at line <a class="el" href="text_2cli_8py_source.html#l00096">96</a> of file <a class="el" href="text_2cli_8py_source.html">cli.py</a>.</p>

</div>
</div>
<a class="anchor" id="afe221348bdf05b1fa87890755f95017b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.text.cli.get_words_in_file </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>path_in</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param path_in: str
    Path to input file
:return: [] of str
    List of words in file
</pre> 
<p>Definition at line <a class="el" href="text_2cli_8py_source.html#l00084">84</a> of file <a class="el" href="text_2cli_8py_source.html">cli.py</a>.</p>

</div>
</div>
<a class="anchor" id="a8141223c058b14849dfe02f13d104c3a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.text.cli.main </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="text_2cli_8py_source.html#l00139">139</a> of file <a class="el" href="text_2cli_8py_source.html">cli.py</a>.</p>

</div>
</div>
<a class="anchor" id="a84fdc44624dbbeba8df0e39cecdb0cea"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.text.cli.parse_args </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>parser</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param parser: ArgumentParser
    Object that holds cmd arguments.
:return: tuple
    Values of arguments.
</pre> 
<p>Definition at line <a class="el" href="text_2cli_8py_source.html#l00040">40</a> of file <a class="el" href="text_2cli_8py_source.html">cli.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a class="anchor" id="a0c5d9fc1baded062989ee03a682b246d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pyspottedunipd.text.cli.WORDS_BLACKLIST_FIlE</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1text_1_1cli.html">    1</a></span>&#160;= os.path.join(os.path.dirname(os.path.realpath(__file__)),</div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;                                    <span class="stringliteral">&quot;words_blacklist.txt&quot;</span>)</div></div><!-- fragment -->
<p>Definition at line <a class="el" href="text_2cli_8py_source.html#l00024">24</a> of file <a class="el" href="text_2cli_8py_source.html">cli.py</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacepyspottedunipd.html">pyspottedunipd</a></li><li class="navelem"><a class="el" href="namespacepyspottedunipd_1_1text.html">text</a></li><li class="navelem"><a class="el" href="namespacepyspottedunipd_1_1text_1_1cli.html">cli</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
